/*
 *  Agent's ALLL 'wrong action' class
 *
 *  2004 - 2011 Frantisek Zboril jr.
 *  Faculty of Information Technology
 *  zborilf@fit.vutbr.cz
 *  http://www.fit.vutbr.cz/~zborilf
 *
 * (C) Brno University of Technology
 * Freeware licence VUT v Brně
 * https://wis.fit.vutbr.cz/FIT/db/dir.php/dr/VZ2007/externiInformace/softwareNaWebu/Priloha2_rozh23.pdf

 */

package jTMass.core.jAMass.jActions;

import jTMass.core.jAMass.TAgent;
import jTMass.core.jALLL.jTObjects.TConstants;
import jTMass.core.jALLL.jTObjects.TFail;
import jTMass.core.jALLL.jTObjects.TObject;

public class TWrongAction extends TAction{

    // ===== CLONING =====

    @Override
    public TObject cloneObject(){
        TWrongAction newWrongAction=new TWrongAction();
	return(newWrongAction);
    }

    // ===== STRING CONTENT READERS =====

    @Override
    public String getActionName(){
        return("WRONG ACTION");
    }

    @Override
    public String getContent(){
        return("~E~");
    }

    // ===== ACTION EXECUTION =====
	
    public TObject execute(TAgent agent, TObject register){
	return(new TFail());
    }

    // ===== CONSTRUCTOR =====

    public TWrongAction(){
	super(TConstants._WrongAction);
    }

}
